Subject: date "--date=-x\ days"
From: hanes <[email-masked]>
To: [email-masked]
Date: Sat, 12 Apr 2014 17:44:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Tonight (12. of April) in the hour after Midnight I encountered a
missing day when I used the '--date=-13\ days' option.
I can reproduce the bug best, when going backwards in hours;
as far as I can see, there is a hour missing on 30. of March between 01
and 03 O'Clock.

My output is:
date +%Y.%m.%d__%H_%M
2014.04.12__17_28

date +%Y.%m.%d__%H_%M --date=-326\ hours
2014.03.30__03_28

date +%Y.%m.%d__%H_%M --date=-327\ hours
2014.03.30__01_28

I am working on a Ubuntu Linux 64bit Mashine.

with Kind Regards,

hanes